package jp.mosp.common.dto;

/**
 * 社員基本情報の共通インターフェース
 * @author yoshida
 * 	@version	0.0.1
 */
public interface HumanBasisDtoInterface {

	/**
	 * 社員コード
	 * @return	社員コード
	 */
	public String 	getKCode();

	/**
	 * 氏名
	 * @return	氏名
	 */
	public String 	getSimei();

	/**
	 * 所属コード
	 * @return	所属コード
	 */
	public String 	getSCode();

	/**
	 * 入社日
	 * @return	入社日
	 */
	public int 	getNyDate();

	/**
	 * 事業所コード
	 * @return	事業所コード
	 */
	public String 	getJCode();

	/**
	 * 役職コード
	 * @return	役職コード
	 */
	public String 	getYCode();

	/**
	 * 等級
	 * @return	等級
	 */
	public String 	getTokyu();

}
